<%@ taglib uri="/converter" prefix="conv" %>
<%@ taglib uri="/jstl-c" prefix="c" %>
<c:set var="dollar" value="${param.dollar}"/>
<HTML>
  <HEAD><TITLE>Currency Converter (Case)</TITLE></HEAD>
  <BODY>
    <H1>Currency Converter</H1>
    <c:choose>
	  <c:when test='${dollar== null}'>
	    <P>
		  Enter a USD amount in the field below and press Convert to obtain
		  the equivalent GBP amount.
		</P>
	  </c:when>
	  <c:when test='${dollar ==""}'>
	    <P>
		  You didn't enter a USD amount in the field below
		  - try again this time specifying and amount.
		</P>
	  </c:when>
	  <c:otherwise>
	    <c:catch var='ex'>
          <BIG>
	        USD <c:out value="${dollar}"/> =
		    GBP <conv:convertEl dollarValue='${dollar}'/> 
          </BIG>
		</c:catch>
		<c:if test='${ex != null}'>
		    <P>
			  Error: <c:out value='${ex.message}'/><BR>
			  <c:out value="${dollar}"/> is not a vaid amount.
			  You must enter a numeric value in the field below.
			</P>
		</c:if>
	  </c:otherwise>
	</c:choose>
	<FORM>
	  <P>Enter dollar value: <INPUT TYPE='text' NAME='dollar'></P>
	  <INPUT TYPE='submit' VALUE='Convert'>
	</FORM>
  </BODY>
</HTML>
