package converters;

import javax.servlet.http.*;
import org.apache.struts.action.*;

public class ConvertForm extends ActionForm {

    private String amount;

	public void setAmount (String amount) { this.amount = amount; }
	public String getAmount () { return amount; }

	public void reset(ActionMapping mapping, HttpServletRequest request) {
        amount = null;
    }

	public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request) {
        ActionErrors errors = new ActionErrors();
        if (amount == null)
            errors.add("amount", new ActionError("convert.enter.amount"));
        else if (amount.length() == 0)
            errors.add("amount", new ActionError("convert.no.value"));
		else {
			try {
				double doubleAmount = Double.parseDouble(amount);
			}
			catch (NumberFormatException ex) {
				errors.add("amount",
					       new ActionError("convert.bad.amount",amount));
			}
		}
        return errors;
    }
}