package filters;

import java.io.*;
import javax.servlet.*;

public class HttpsFilter implements Filter {

    public void doFilter(ServletRequest request, ServletResponse response,
     	    FilterChain chain) throws IOException, ServletException {

		if (!request.isSecure())
		    request.getRequestDispatcher("/insecure.html")
			    .forward(request,response);
		else
			chain.doFilter(request, response);
    }

    public void init(FilterConfig filterConfig) throws ServletException {}
    public void destroy() {}
}