package converters;

public class CurrencyConverterSoapBindingImpl implements converters.CurrencyConverter {
    public converters.Conversion convert(java.lang.String in0)
	throws java.rmi.RemoteException, converters.ParseException {
		if (bean == null)
			loadBean();
		try {
			bean.setAmount(in0);
			Conversion conv = new Conversion();
			conv.setAmount(bean.getAmount());
			conv.setConvertedAmount(bean.getConvertedAmount());
	        return conv;
		}
		catch (java.text.ParseException ex) {
			throw new converters.ParseException();
		}
	}


    private ConverterBean bean;

	private void loadBean()	throws java.rmi.RemoteException {
		try {
			bean = new ConverterBean();
		}
		catch (java.sql.SQLException ex) {
			throw new java.rmi.RemoteException ("Converter bean failure", ex);
		}
		catch (javax.naming.NamingException ex) {
			throw new java.rmi.RemoteException ("Converter bean failure", ex);
		}
	}

}
