package converters;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class ConvertPoundValueTag extends TagSupport {
	private String name;
	public String getName() { return name; }
	public void setName(String name) { this.name = name; }

	public int doStartTag() throws JspException {
		try {
			CurrencyConverterBean bean = (CurrencyConverterBean)pageContext.getAttribute(name);
			pageContext.getOut().print(bean.getPoundValue());
		}
		catch (IOException ex) {
		    throw new JspTagException("ConvertPoundValueTag: "+ex);
		}
		return SKIP_BODY;
	}
}
