package converters;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class CurrentPoundTag extends TagSupport {
	private CurrencyConverterBean bean = new CurrencyConverterBean();

	public int doStartTag() throws JspException {
		try {
			double current = 0.0;
			IterateOverTag iter = (IterateOverTag)
				    findAncestorWithClass(this,IterateOverTag.class);
			while (iter != null) {
				current += iter.getCurrent();
				iter = (IterateOverTag)
					    findAncestorWithClass(iter,IterateOverTag.class);
			}
			bean.setAmount(""+current);
		    pageContext.getOut().print(bean.getPoundValue());
		    return SKIP_BODY;
		}
		catch (IOException ex) {
		    throw new JspTagException("ConvertCellTag: "+ex);
		}
	}
}
