<%@ taglib uri="/converter" prefix="conv" %>
<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="/jstl-fmt" prefix="fmt" %>
<fmt:parseNumber var="dollar" value="${param.dollar}"/>
<c:set var="rate"><conv:rate/></c:set>
<HTML>
  <HEAD><TITLE>Currency Converter Using JSTL</TITLE></HEAD>
  <BODY>
    <H1>Currency Converter</H1>
	<P>Current conversion rate: <fmt:formatNumber value='${rate}' pattern='0.0000'/></P>
    <c:if test='${dollar != null and dollar != ""}'>
      <BIG>
	  <fmt:formatNumber type='currency' currencyCode='USD' value="${dollar}"/>  is
	      <fmt:formatNumber type='currency' currencyCode='GBP' value="${dollar*rate}"/>
     </BIG>
	</c:if>
	<FORM>
	  <P>Enter dollar value: <INPUT TYPE='text' NAME='dollar'></P>
	  <INPUT TYPE='submit' VALUE='Convert'>
	</FORM>
	<A HREF='homepage'>Home page</A>
  </BODY>
</HTML>
