package filters;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ResponseWrapperFilter implements Filter {

    public void init(FilterConfig filterConfig) throws ServletException {}
    public void destroy() {}

     public void doFilter(ServletRequest request, ServletResponse response,
	    FilterChain chain) throws IOException, ServletException {

	PrintWriter out = response.getWriter();
	HttpServletResponseWrapper wrapper =
	    new ResponseWrapper((HttpServletResponse) response);
	chain.doFilter(request, wrapper);

	String body = wrapper.toString();

	int endpos = body.toLowerCase().indexOf("</body>");
	if (endpos > 0) {
	    out.write(body.substring(0, endpos));
	    out.write("<P>Extra text added by ResponseWrapperFilter</P>");
	    out.write("</BODY></HTML>");
	}
	else
	    out.write(body);
	out.close();
    }
}